---
title: MediaDecodingConfiguration
slug: Web/API/MediaDecodingConfiguration
tags:
  - API
  - Audio
  - Experimental
  - Interface
  - Media Capabilities API
  - MediaDecodingConfiguration
  - Reference
  - Video
---
<p>The <strong><code>MediaDecodingConfiguration</code></strong> dictionary of the <a href="/en-US/docs/Web/API/Media_Capabilities_API">Media Capabilities API</a> is used to define the type of media being tested when calling {{domxref("MediaCapabilities.decodingInfo()")}} to query whether a specific media configuration is supported, smooth, and/or power efficient.</p>

<h2 id="Properties">Properties</h2>

<p>A <code>MediaDecodingConfiguration</code> dictionary takes two properties:</p>

<ul>
 <li><code>type</code> — the type of media being tested. This takes one of two values:

  <ul>
   <li><code>file</code>: Represents a configuration that is meant to be used for a plain file playback.</li>
   <li><code>media-source</code>: Represents a configuration that is meant to be used for playback of a {{domxref("MediaSource")}}.</li>
  </ul>
 </li>
 <li>A media configuration — a {{domxref("VideoConfiguration")}} or {{domxref("AudioConfiguration")}} dictionary.</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">//Create media configuration to be tested
const mediaConfig = {
    type : 'file', // or 'media-source'
    video : {
        contentType : "video/webm;codecs=vp8", // valid content type
        width : 800,     // width of the video
        height : 600,    // height of the video
        bitrate : 10000, // number of bits used to encode 1s of video
        framerate : 30   // number of frames making up that 1s.
     }
};

// check support and performance
navigator.mediaCapabilities.decodingInfo(mediaConfig).then(result =&gt; {
    console.log('This configuration is ' +  (result.supported ? '' : 'not ') + 'supported.')
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Capabilities', '#mediaconfiguration','MediaDecodingConfiguration')}}</td>
   <td>{{Spec2('Media Capabilities')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaDecodingConfiguration")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaConfiguration")}}</li>
 <li>{{domxref("MediaEncodingConfiguration")}}</li>
 <li>{{domxref("HTMLMediaElement.canPlayType()")}} for file</li>
 <li>{{domxref("MediaSource.isTypeSupported()")}} for media-source</li>
</ul>
